org.eclipse.viatra.query.tooling.generator.model.generatorModel

## Interface GeneratorModelPackage.Literals

- Enclosing interface:
    GeneratorModelPackage

      public static interface GeneratorModelPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `CONFIGURATION` The meta object literal for the '`Configuration`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `CONFIGURATION__NAME` The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `CONFIGURATION__PROPERTY` The meta object literal for the 'Property' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `GENERATOR_MODEL_REFERENCE` The meta object literal for the '`Reference`' class.
    `static org.eclipse.emf.ecore.EReference` | `GENERATOR_MODEL_REFERENCE__GENMODEL` The meta object literal for the 'Genmodel' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PROPERTY` The meta object literal for the '`Property`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `PROPERTY__KEY` The meta object literal for the 'Key' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PROPERTY__VALUE` The meta object literal for the 'Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `VIATRA_QUERY_GENERATOR_MODEL` The meta object literal for the '`Viatra Query Generator Model`' class.
    `static org.eclipse.emf.ecore.EReference` | `VIATRA_QUERY_GENERATOR_MODEL__CONFIGURATION` The meta object literal for the 'Configuration' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `VIATRA_QUERY_GENERATOR_MODEL__GENMODELS` The meta object literal for the 'Genmodels' containment reference list feature.

- - ### Field Detail

    - #### VIATRA_QUERY_GENERATOR_MODEL

          static final org.eclipse.emf.ecore.EClass VIATRA_QUERY_GENERATOR_MODEL

      The meta object literal for the '`Viatra Query Generator Model`' class.
      See Also:
        `ViatraQueryGeneratorModelImpl`, `GeneratorModelPackageImpl.getViatraQueryGeneratorModel()`
      Generated:

    - #### VIATRA_QUERY_GENERATOR_MODEL__GENMODELS

          static final org.eclipse.emf.ecore.EReference VIATRA_QUERY_GENERATOR_MODEL__GENMODELS

      The meta object literal for the 'Genmodels' containment reference list feature.
      Generated:

    - #### VIATRA_QUERY_GENERATOR_MODEL__CONFIGURATION

          static final org.eclipse.emf.ecore.EReference VIATRA_QUERY_GENERATOR_MODEL__CONFIGURATION

      The meta object literal for the 'Configuration' containment reference list feature.
      Generated:

    - #### GENERATOR_MODEL_REFERENCE

          static final org.eclipse.emf.ecore.EClass GENERATOR_MODEL_REFERENCE

      The meta object literal for the '`Reference`' class.
      See Also:
        `GeneratorModelReferenceImpl`, `GeneratorModelPackageImpl.getGeneratorModelReference()`
      Generated:

    - #### GENERATOR_MODEL_REFERENCE__GENMODEL

          static final org.eclipse.emf.ecore.EReference GENERATOR_MODEL_REFERENCE__GENMODEL

      The meta object literal for the 'Genmodel' reference feature.
      Generated:

    - #### CONFIGURATION

          static final org.eclipse.emf.ecore.EClass CONFIGURATION

      The meta object literal for the '`Configuration`' class.
      See Also:
        `ConfigurationImpl`, `GeneratorModelPackageImpl.getConfiguration()`
      Generated:

    - #### CONFIGURATION__NAME

          static final org.eclipse.emf.ecore.EAttribute CONFIGURATION__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated:

    - #### CONFIGURATION__PROPERTY

          static final org.eclipse.emf.ecore.EReference CONFIGURATION__PROPERTY

      The meta object literal for the 'Property' containment reference list feature.
      Generated:

    - #### PROPERTY

          static final org.eclipse.emf.ecore.EClass PROPERTY

      The meta object literal for the '`Property`' class.
      See Also:
        `PropertyImpl`, `GeneratorModelPackageImpl.getProperty()`
      Generated:

    - #### PROPERTY__KEY

          static final org.eclipse.emf.ecore.EAttribute PROPERTY__KEY

      The meta object literal for the 'Key' attribute feature.
      Generated:

    - #### PROPERTY__VALUE

          static final org.eclipse.emf.ecore.EAttribute PROPERTY__VALUE

      The meta object literal for the 'Value' attribute feature.
      Generated: